osDate Forum

Welcome. Please login or register.
Did you miss your activation email


Author Topic: install error step 2  (Read 3439 times)

oppeneer

  • Sr. Member
  • ****
  • Posts: 255
install error step 2
« on: March 17, 2013, 09:31:49 PM »
Hi,

try to re-install 2.6 but I can't get past step 1

The next screen that is supposed to be step 2 gives me this error:

Fatal error: Call to undefined function import_request_variables() in /home/hotdatin/public_html/install.php on line 67

The line is:  import_request_variables( 'pgs' );

What do I change to get past this line?
Kind regards,

Jan Oppeneer
working on template for 2.6 and OsdatePDO

My sites under construction:

www.oudere-homo-mannen.com
www.homosenioren.com
www.hotdatingplanet.eu

Will be testing for Osdater.

CBG

  • Administrator
  • Sr. Member
  • *****
  • Posts: 446
    • osDate Forum
Re: install error step 2
« Reply #1 on: March 17, 2013, 10:11:57 PM »
Regards,
CBG (Garry)
osDate 2.6.5 | PHP: 5.3.28 & 5.4.23 | MySQL: 5.5.34-cll

oppeneer

  • Sr. Member
  • ****
  • Posts: 255
Re: install error step 2
« Reply #2 on: March 17, 2013, 11:19:35 PM »
Hi Garry,

I made the changes but know i get this error:

Strict Standards: Non-static method DB::isError() should not be called statically in /home/hotdatin/public_html/install_files/step_4.php on line 48

I can't get past this. Only retry. With the old config file loaded it gets past this but than everything fails.

Strict Standards: Non-static method DB::isError() should not be called statically in /home/hotdatin/public_html/install_files/step_4.php on line 48

Strict Standards: Non-static method DB::isManip() should not be called statically, assuming $this from incompatible context in /home/hotdatin/public_html/libs/Pear/DB/mysql.php on line 207

Strict Standards: Non-static method DB::isError() should not be called statically, assuming $this from incompatible context in /home/hotdatin/public_html/libs/Pear/DB/common.php on line 1155

Strict Standards: Non-static method DB::isError() should not be called statically, assuming $this from incompatible context in /home/hotdatin/public_html/libs/Pear/DB/common.php on line 1594

Strict Standards: Non-static method DB::isError() should not be called statically, assuming $this from incompatible context in /home/hotdatin/public_html/libs/Pear/DB.php on line 1041

Strict Standards: Non-static method DB::isError() should not be called statically, assuming $this from incompatible context in /home/hotdatin/public_html/libs/Pear/DB/common.php on line 1611

Strict Standards: Non-static method DB::isError() should not be called statically in /home/hotdatin/public_html/install_files/step_4.php on line 73

« Last Edit: March 17, 2013, 11:21:53 PM by oppeneer »
Kind regards,

Jan Oppeneer
working on template for 2.6 and OsdatePDO

My sites under construction:

www.oudere-homo-mannen.com
www.homosenioren.com
www.hotdatingplanet.eu

Will be testing for Osdater.

Pharg

  • Administrator
  • Sr. Member
  • *****
  • Posts: 456
Re: install error step 2
« Reply #3 on: March 17, 2013, 11:21:52 PM »
Hello oppeneer,

Have you tried this link http://www.osdateforum.com/configuration-installation/database-error-with-mysql-5-3-and-over-fixed/
It's Gary's fix for the SQL 2.6 if your host is now using Php 5.3
Regards,
Pharg ( Phill )

osDate 2.6 & osDate 2.6.5 | PHP: 5.2.42 & PHP: 5.3.42 & PHP: 5.4.42 | MySQL: 5.5.35

oppeneer

  • Sr. Member
  • ****
  • Posts: 255
Re: install error step 2
« Reply #4 on: March 18, 2013, 01:04:11 AM »
Hi

Yes I tried this link that too. I was able to bypass all the errors with my old config file. but creating a new database was impossible.  I configured the mail by hand and now it is running again.

Never had problems like this before installing 2.6 must have been some changes on the server.

Thanks all for your help.
Kind regards,

Jan Oppeneer
working on template for 2.6 and OsdatePDO

My sites under construction:

www.oudere-homo-mannen.com
www.homosenioren.com
www.hotdatingplanet.eu

Will be testing for Osdater.

CBG

  • Administrator
  • Sr. Member
  • *****
  • Posts: 446
    • osDate Forum
Re: install error step 2
« Reply #5 on: March 18, 2013, 09:58:08 PM »
If you could let me know version of PHP you running.
I have done some looking about it, and it could be cause by PHP 5.3.5 and over.

If you can let me know, I try and get some hosting, with that PHP version and test it out.
« Last Edit: March 18, 2013, 10:30:03 PM by CBG »
Regards,
CBG (Garry)
osDate 2.6.5 | PHP: 5.3.28 & 5.4.23 | MySQL: 5.5.34-cll

CBG

  • Administrator
  • Sr. Member
  • *****
  • Posts: 446
    • osDate Forum
Re: install error step 2
« Reply #6 on: March 19, 2013, 01:22:55 PM »
Hi,

I have just signed up to another hosting provider that offers me access to
PHP 5.3.18 and PHP 5.4.8, so will try and get osDate uploaded and test it out, see if I can find the error and fix it.

I will update on this, over the next day or so.
Regards,
CBG (Garry)
osDate 2.6.5 | PHP: 5.3.28 & 5.4.23 | MySQL: 5.5.34-cll

bigal65

  • Newbie
  • *
  • Posts: 46
Re: install error step 2
« Reply #7 on: March 19, 2013, 02:55:27 PM »
Hi Guys,
It is good to see familiar faces! :)

Just few days ago I re-installed original osDate 2.6 with the only change to tables.sql TYPE, replaced by ENGINE. I did not setup mail at the time of install and there were no problems with installation. As you can see from my signature I am using PHP 5.3.15 and MySQL 5.5.28.
Regards,
My system:
osDate 2.6 with many changes
PHP 5.3
MySQL 5.5

oppeneer

  • Sr. Member
  • ****
  • Posts: 255
Re: install error step 2
« Reply #8 on: March 19, 2013, 03:07:42 PM »
Hi Bigal,

First of all Welcome.

I never had problems before but I had to re-install my site and all of a sudden the install crashes all around my ears. Something must have changed on my hosting. With a couple of changes, ignores, and my old config file I was able to get it all running again. Will inform Garry as soon as possible about the versions my hosting uses so there can be an hopefully a permanent sollution for this.

Kind regards,

Jan Oppeneer
working on template for 2.6 and OsdatePDO

My sites under construction:

www.oudere-homo-mannen.com
www.homosenioren.com
www.hotdatingplanet.eu

Will be testing for Osdater.

bigal65

  • Newbie
  • *
  • Posts: 46
Re: install error step 2
« Reply #9 on: March 19, 2013, 03:18:15 PM »
Hi Jan,

That is why I use my own server, it is the only way to be sure about the software and performance of your server. Your own dedicated server is the way to go. In the past I also had all kind of problems with my hosts.
Regards,
My system:
osDate 2.6 with many changes
PHP 5.3
MySQL 5.5

CBG

  • Administrator
  • Sr. Member
  • *****
  • Posts: 446
    • osDate Forum
Re: install error step 2
« Reply #10 on: March 19, 2013, 04:38:40 PM »
I have found the error in PHP 5.4.8, however at this time, I am unsure how to get around it.
It seems to be down to the PEAR version osDate 2.6 uses.

I will keep trying things.
Regards,
CBG (Garry)
osDate 2.6.5 | PHP: 5.3.28 & 5.4.23 | MySQL: 5.5.34-cll

bigal65

  • Newbie
  • *
  • Posts: 46
Re: install error step 2
« Reply #11 on: March 19, 2013, 04:47:44 PM »
Hi Gary,
Does it affect only new osDate 2.6 installation? In other words if you copy your existent osDate 2.6 site from other system would it work with this PHP version?
Regards,
My system:
osDate 2.6 with many changes
PHP 5.3
MySQL 5.5

CBG

  • Administrator
  • Sr. Member
  • *****
  • Posts: 446
    • osDate Forum
Re: install error step 2
« Reply #12 on: March 19, 2013, 05:18:42 PM »
Hi Gary,
Does it affect only new osDate 2.6 installation? In other words if you copy your existent osDate 2.6 site from other system would it work with this PHP version?

Not sure, haven't tested that.
Will test that tomorrow.
Regards,
CBG (Garry)
osDate 2.6.5 | PHP: 5.3.28 & 5.4.23 | MySQL: 5.5.34-cll

oppeneer

  • Sr. Member
  • ****
  • Posts: 255
Re: install error step 2
« Reply #13 on: March 19, 2013, 06:00:06 PM »
This is my server running:

Apache version    2.4.4
PHP version    5.4.12
MySQL version    5.1.68-cll
Kind regards,

Jan Oppeneer
working on template for 2.6 and OsdatePDO

My sites under construction:

www.oudere-homo-mannen.com
www.homosenioren.com
www.hotdatingplanet.eu

Will be testing for Osdater.

CBG

  • Administrator
  • Sr. Member
  • *****
  • Posts: 446
    • osDate Forum
Re: install error step 2
« Reply #14 on: March 19, 2013, 06:11:45 PM »
Been playing around with the installer a bit more, and getting no where fast.
I am thinking maybe make an new temp installer for 2.6, that only does a fresh install, as it would be quicker then trying to fix the current one I think.
Regards,
CBG (Garry)
osDate 2.6.5 | PHP: 5.3.28 & 5.4.23 | MySQL: 5.5.34-cll

 

Carbonate design by Bloc
variant: carbon
SMF 2.0.9 | SMF © 2014, Simple Machines
SimplePortal 2.3.6 © 2008-2014, SimplePortal